/* ===========
   TEXT SLIDER
   ============ */

.m__text-slider .mc {
    max-width: 100%;
    padding-left: 0;
    padding-right: 0; }

.m__text-slider .mc__content {
  padding-left: var(--spacing__sm);
  padding-right: var(--spacing__sm); }
    
.text-slider { }


.text-slider {
  width: 100%; }
  
.text-slider .slide {
  transition: opacity .4s;
  width: 500px; }


.text-slider .slide .slide__body {
  opacity: .2;
  transition: opacity .4s; }
    
.text-slider .slide.is-selected .slide__body {
  opacity: 1; }
  

.text-slider .slide__body {
  padding: 0 8rem;
  margin-top: var(--spacing__md); }
    
.text-slider .slide__body__heading {
  margin-bottom: var(--spacing__md); }

.text-slider .slide__body__heading h3 {
    font-size: 3.2rem; }
  
 
 @media (max-width: 550px) {
   
   .text-slider .slide {
     width: 100%; }
    
    .text-slider .slide__body {
      padding: 0 var(--spacing__sm);  }
 }




 
/* Timeline  - color band made from :after element. Dot made with .point DIV */
.text-slider .slide__timeline {
  height: 72px;
  position: relative; }
  
.text-slider .slide__blank .slide__timeline {
  background: none; }

.text-slider .slide__timeline:after {
    content: '';
    position: absolute;
    display: block;
    top: 50%;
    transform: translateY(-50%);
    left: 50%;
    width: 100%;
    height: 38px;
    z-index: 1; }

.text-slider .slide .slide__timeline:after {
  background: var(--color__green__1); }
  
.text-slider .slide.last .slide__timeline:after,
.text-slider .slide__blank .slide__timeline:after {
    content: none; }
 
/* Point */  
.text-slider .slide__timeline .point {
  position: absolute;
  width: 68px;
  height: 68px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9;
  background: url('../../images/routes/point.svg') no-repeat center;
  background-size: 68px; }
 
.text-slider .slide__blank .slide__timeline .point {
   display: none; }
   
 /* Resize timeline */
 @media (max-width: 1200px) {
   
   .text-slider .slide__timeline {
     height: 64px; }
   
  .text-slider .slide__timeline .point {
    width: 60px;
    height: 60px;
    background-size: 60px; }
    
  .text-slider .slide__timeline:after {
     height: 33px; }
       
 }
 
 @media (max-width: 800px) {
   
   .text-slider .slide__timeline {
    height: 40px; }
    
   .text-slider .slide__timeline .point {
     width: 34px;
     height: 34px;
     background-size: 34px; }
     
   .text-slider .slide__timeline:after {
      height: 19px; }
       
 }
 
  
/* Blank */
.text-slider .slide__blank .slide__timeline .point {
  display: none; }



/* Flickity customisation */
.text-slider .flickity-page-dots {
  display: none; }

@media (min-width: 1000px) {
  
  .m__text-slider .flickity-prev-next-button.previous {
    left: calc(50% - 200px - 6rem) !important; }
  
  .m__text-slider .flickity-prev-next-button.next {
    right: calc(50% - 200px - 6rem) !important; }
  
}


@media (max-width: 800px) {

  .m__text-slider .flickity-prev-next-button {
    display: none; }
    
  .text-slider .flickity-page-dots {
    display: flex; }
    
}

  